Agents
Delete an agent
Deletes an agent. For hosted agents, if any version has active sessions, the request
is rejected with HTTP 409 unless force is set to true. When force is true, all
associated sessions are cascade-deleted along with the agent and its versions.
경로 매개 변수
agent_name
string
필수
The name of the agent to delete.
쿼리 매개 변수
force
boolean
For Hosted Agents, if true, force-deletes the agent even if its versions have active sessions, cascading deletion to all associated sessions. The service defaults to false if a value is not specified by the caller. This value is not relevant for other Agent types.
api-version
string
필수
The API version to use for this operation.
응답
The request has succeeded.
본문
object
enum
필수
The object type. Always 'agent.deleted'.
name
string
필수
The name of the agent.
deleted
boolean
필수
Whether the agent was successfully deleted.
요청
DELETE /agents/{agent_name} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json